## org.eclipse.m2m.atl.adt.ui.outline
Class DefaultFilter

    java.lang.Object
      org.eclipse.jface.viewers.ViewerFilter
          org.eclipse.m2m.atl.adt.ui.outline.DefaultFilter

    public class DefaultFilter

extends org.eclipse.jface.viewers.ViewerFilter

Constructor Summary
`DefaultFilter()`

Method Summary
`boolean` `select(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object parentElement, java.lang.Object element)`

Methods inherited from class org.eclipse.jface.viewers.ViewerFilter
`filter, filter, isFilterProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFilter

    public DefaultFilter()

Method Detail

### select

    public boolean select(org.eclipse.jface.viewers.Viewer viewer,
                          java.lang.Object parentElement,
                          java.lang.Object element)

  Specified by:
    `select` in class `org.eclipse.jface.viewers.ViewerFilter`
  See Also:
    `ViewerFilter.select(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.